Bug 58910 - Glamor from git does not build with xorg server 1.13.1 and mesa 9.0.1
Glamor from git does not build with xorg server 1.13.1 and mesa 9.0.1
Status: RESOLVED FIXED
Product: xorg
Classification: Unclassified
Component: Driver/glamor
7.7 (2012.06)
x86-64 (AMD64) Linux (All)
: medium major
Assigned To: hejunyan
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-31 17:47 UTC by Giovanni Mariani
Modified: 2013-03-30 11:01 UTC (History)
1 user (show)

See Also:


Attachments
Log of a failed build (95.96 KB, text/plain)
2012-12-31 17:47 UTC, Giovanni Mariani
no flags Details
Another failed build (now with xserver 1.14.0 and mesa 9.1.0) (81.18 KB, text/plain)
2013-03-20 09:35 UTC, Giovanni Mariani
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Giovanni Mariani 2012-12-31 17:47:26 UTC
Created attachment 72353 [details]
Log of a failed build

I'm trying to experimentally build glamor from git master against xserver 1.13.1 and Mesa 9.0.1 (the versions provided by my Rosa Fresh 2012.1 for x86_64, but the build fails at the linking phase while making libglamor.la with tons of "undefined reference" errors (see the attached build log for the gory details).

To have a successful build I have to force ld to accept undefined reference, but that is risky because it could lead to run-time errors later.
Comment 1 Zhigang Gong 2013-01-06 07:52:44 UTC
Junyan has been working on this issue.
Comment 2 Zhigang Gong 2013-03-19 03:48:31 UTC
Giovanni or Junyan,

Could you check and confirm that this bug is already fixed in glamor git version?
Comment 3 Giovanni Mariani 2013-03-20 09:35:05 UTC
Created attachment 76804 [details]
Another failed build (now with xserver 1.14.0 and mesa 9.1.0)

Sorry, I still have the same things, now with xserver 1.14.0 and mesa 9.1.0.
Comment 4 Armin K 2013-03-29 18:30:41 UTC
Don't use -Wl,--no-undefined in LDFLAGS. Most functions are part of the Xorg Server and no library exports them ... Since library is intended to use with Xorg Server only, it should be safe. I'll send a patch to fix undefined references for libm libdl pixman libEGL and such.
Comment 5 Giovanni Mariani 2013-03-30 11:01:15 UTC
(In reply to comment #4)
> Don't use -Wl,--no-undefined in LDFLAGS. Most functions are part of the Xorg
> Server and no library exports them ... Since library is intended to use with
> Xorg Server only, it should be safe. I'll send a patch to fix undefined
> references for libm libdl pixman libEGL and such.

Good to know...
The use of --no-undefined is a default build setting on my Mandriva/OpenMandriva/Rosa/whatever distro and before adding a permanent exception for the glamor package I was rather needing to know for sure it was needed or at least safe.

Perhaps, as per the precision in comment #4 we could consider this bug closed even if not exactly "fixed".